=== debian/control ===
Source: ros-kinetic-pyros
Section: misc
Priority: extra
Maintainer: AlexV <asmodehn@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-mock (>= 1.0.1), ros-kinetic-catkin (>= 0.6.18), ros-kinetic-catkin-pip (>= 0.2.0), ros-kinetic-pyros-common (>= 0.5.2), ros-kinetic-pyros-interfaces-ros (>= 0.4.0)
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-pyros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-mock (>= 1.0.1), ros-kinetic-pyros-common (>= 0.5.2), ros-kinetic-pyros-interfaces-ros (>= 0.4.0)
Description: Provides Python to ROS multiprocess API, useful for using ROS from different multiprocess environment while keeping both isolated.
